
import React, { useEffect } from 'react';
import style from './index.module.less';
import { Radio, RadioGroup } from 'mayihr-components'
import { Space } from 'antd';


export default (props) => {
    useEffect(() => {
        if (props.data.default.value && !props.value && props.parent.lastIndexOf('#/Search_') !== -1) {
            props.dispatchEvent('onChange', { props, value: props.data.default.value })
        }
    }, [])
    let styleC = {}
    try {
        styleC = props.style.style.value ? { ...JSON.parse(props.style.style.value) } : {}
    } catch (error) {

    }
    const sytleOption = styleC ? {
        background: props.style.background.value ? props.style.background.value : null,
        ...styleC
    } : {
        background: props.style.background.value ? props.style.background.value : null,
    }

    //const options = props.data.group.value ? JSON.parse(props.data.group.value) : null
    console.log(props.data.group)
    const options = props.data.group.value ? props.data.group.data : null
    if (options) {
        options.map(item => {
            if (item.key === 'true') {
                item.key = true
            }
            if (item.key === 'false') {
                item.key = false
            }
        })
    }

    let fromClass = style.radioContent
    if (props.parent.lastIndexOf('#/Form_') !== -1) {
        // defalutWidth = '100%'
        fromClass = style.fromRadio
    }
    const labelRender = () => props.data.label.value ? <div className={style.labelClass}>{props.data.label.value}</div> : null
    const editRender = () => {
        return props.edit ? <div className={style.addElement}>请添加按钮组属性</div> : null
    }
    const modeRender = () => {
        if (props.style.lineMode.value === 'vertical') {
            return options && options.length !== 0 && options.map(item => (
                <Radio value={item.key} key={item.key}>{item.label}</Radio>
            ))
        } else {
            return <Space direction="horizontal" size={0} wrap>{options && options.length !== 0 && options.map(item => (
                <Radio value={item.key} key={item.key}>{item.label}</Radio>
            ))}</Space>
        }

    }
    if (options && options.length === 0 || !options) {
        return <div className={fromClass}>{editRender()}</div>
    }
    console.log(props, 'RadioGroupRadioGroup')
    return <div className={fromClass}>
        {labelRender()}
        <RadioGroup
            defaultValue={(props.value !== null || props.value !== undefined) ? props.value : props.data.default.value}
            size={!props.style.size.value ? 'middle' : props.style.size.value}
            style={sytleOption}
            onChange={(e) => {
                props.dispatchEvent('onChange', { props, value: e.target.value })
            }}>
            {modeRender()}
        </RadioGroup>
    </div>
};

