
import React from 'react';
import style from './index.module.less'; 


export default (props) => {
    let styleC = null
    try {
        styleC = props.style.style.value ? { ...JSON.parse(props.style.style.value) } : null
    } catch (error) {

    }
    let formChilde = props.parent.lastIndexOf('#/Form_') !== -1 ? true : false
    const styledata = { ...styleC, background: props.style.background.value ? props.style.background.value : 'transparent' }

    const renderEdit = () => {
        return props.edit ? <div className={style.addElement} style={props.style.lineMode.value === 'horizontal' ? { flex: 1, border: 0 } : { margin: 20 }}>拖拽增加元素</div> : null
    }
    const HVClass = props.style.lineMode.value === 'horizontal' ? `${style.Area} ${style.flextabel}` : `${style.Area}`
    let LRClass = `${HVClass}`
    const editStyle = !props.edit ? { border: 0 } : {}
    // 水平排列
    if (props.style.lineMode.value === 'horizontal') {
        if (props.style.textAlign.value === 'right') {
            LRClass = `${HVClass} ${style.flexright}`
            return <div className={`${style.areaContent} ${!formChilde ? '' : style.fromArea}`} style={editStyle}>
                {props.data.label.value ? <p className={style.areaTitle}>{props.data.label.value}</p> : null}
                <div className={LRClass} style={styledata}>{renderEdit()}{props.children}</div>
            </div>
        }
        return <div className={`${style.areaContent} ${!formChilde ? '' : style.fromArea}`} style={editStyle}>
            {props.data.label.value ? <p className={style.areaTitle}>{props.data.label.value}</p> : null}
            <div className={LRClass} style={styledata}>{props.children}{renderEdit()}</div>
        </div>
    }
    // 垂直排列
    if (props.style.lineMode.value !== 'horizontal' && props.style.textAlign.value === 'right') {
        LRClass = `${HVClass} ${style.textRight}`
    }

    return <div className={`${style.areaContent} ${!formChilde ? '' : style.fromArea}`} style={editStyle}>
        {props.data.label.value ? <p className={style.areaTitle}>{props.data.label.value}</p> : null}
        <div className={LRClass} style={styledata}>{props.children}{renderEdit()}</div>
    </div>
};

