
import React from 'react';
// import style from './index.module.less';
import { Button } from 'mayihr-components'
import Icon from './Icon'

export default (props) => {
    let styleC = null
    try {
        styleC = props.style.style.value ? { ...JSON.parse(props.style.style.value) } : null
    } catch (error) {

    }
    const sytleOption = styleC ? {
        background: props.style.background.value ? props.style.background.value : null,
        color: props.style.color.value ? props.style.color.value : null,
        ...styleC
    } : {
        background: props.style.background.value ? props.style.background.value : null,
        color: props.style.color.value ? props.style.color.value : null,
    }
    // console.log(props.data.scope)
    return <Button
        type={props.style.type.value ? props.style.type.value : "primary"}
        size={!props.style.size.value ? 'middle' : props.style.size.value}
        style={sytleOption}
        onClick={() => {
            props.dispatchEvent('onClick', { props })
        }}>
        {props.data.icon.value ? <Icon type={props.data.icon.value} style={{ fontSize: '12px' }}></Icon> : null}
        {props.data.content.value ? props.data.content.value : props.name}
    </Button>
};

