
import React,{useEffect} from 'react';
import style from './index.module.less';
import { CheckBox, CheckboxGroup } from 'mayihr-components'
import { Space } from 'antd';


export default (props) => {
    useEffect(() => {
        if (props.data.default.value && !props.value && props.parent.lastIndexOf('#/Search_') !== -1) {
            props.dispatchEvent('onChange', { props, value: props.data.default.value })
        }
    }, [])
    let styleC = null
    try {
        styleC = props.style.style.value ? { ...JSON.parse(props.style.style.value) } : null
    } catch (error) {

    }
    let formChilde = props.parent.lastIndexOf('#/Form_') !== -1 ? true : false
    const sytleOption = styleC ? {
        background: props.style.background.value ? props.style.background.value : null,
        ...styleC
    } : {
        background: props.style.background.value ? props.style.background.value : null,
    }
    //const options = props.data.group.value ? JSON.parse(props.data.group.value) : null
    const options = props.data.group.value ? props.data.group.data : null
    const labelRender = () => props.data.label.value ? <div className={style.labelClass}>{props.data.label.value}</div> : null
    const editRender = () => {
        return props.edit ? <div className={style.addElement}>请添加按钮组属性</div> : null
    }
    const modeRender = () => {
        if (props.style.lineMode.value === 'vertical') {
            return options && options.length !== 0 && options.map(item => (
                <CheckBox value={item.key} key={item.key}>{item.label}</CheckBox>
            ))
        } else {
            return <Space direction="horizontal" size={0} wrap>{options && options.length !== 0 && options.map(item => (
                <CheckBox value={item.key} key={item.key}>{item.label}</CheckBox>
            ))}</Space>
        }

    }
    if (options && options.length === 0 || !options) {
        return <div className={style.radioContent}>{editRender()}</div>
    }
    return <div className={`${style.radioContent} ${!formChilde ? '' : style.fromDatePicker}`}>
        {labelRender()}
        <CheckboxGroup
            defaultValue={props.value ? props.value : props.data.default.value}
            size={!props.style.size.value ? 'middle' : props.style.size.value}
            style={sytleOption}
            onChange={(e) => {
                props.dispatchEvent('onChange', { props, value: e })
            }}>
            {modeRender()}
        </CheckboxGroup>
    </div>
};

