
import React from 'react';
import style from './index.module.less';


export default (props) => {

    let styleC = null
    try {
        styleC = props.style.style.value ? { ...JSON.parse(props.style.style.value) } : null
    } catch (error) {

    }
    let pxsize = 1
    //{ key: "middle", label: "中" }, { key: "large", label: "大" }, { key: "small", label: "小" }

    switch (props.style.size.value) {
        case 'middle':
            pxsize = 'medium'
            break
        case 'large':
            pxsize = 'thick'
            break
        case 'small':
            pxsize = 'thin'
            break
        default:
            pxsize = 'thin'
    }
    const config = {
        padding: props.edit ? 5 : 0,
        marginTop: props.style.padding.value ? props.style.padding.value * 1 : 0,
        marginBottom: props.style.padding.value ? props.style.padding.value * 1 : 0,
        borderBottomWidth: pxsize,
        borderBottomStyle: props.style.lineStyle.value ? props.style.lineStyle.value : 'solid',
        borderBottomColor: props.style.lineColor.value ? props.style.lineColor.value : 'rgba(0,0,0,0.65)'
    }

    const sytleOption = styleC ? { ...config, ...styleC } : { ...config }

    return <div className={style.line} style={sytleOption}></div>
};

