
import React, { useEffect } from 'react';
import style from './index.module.less';
import { Select, Option } from 'mayihr-components'


export default (props) => {
    useEffect(() => {
        if (props.data.default.value && !props.value && props.parent.lastIndexOf('#/Search_') !== -1) {
            props.dispatchEvent('onChange', { props, value: props.data.default.value })
        }
    }, [])
    let styleC = {}
    try {
        styleC = props.style.style.value ? { ...JSON.parse(props.style.style.value) } : {}
    } catch (error) {

    }
    let formChilde = props.parent.lastIndexOf('#/Form_') !== -1 ? true : false
    let defalutWidth = 200
    if (formChilde) {
        defalutWidth = '100%'
    }
    const sytleOption = styleC ? {
        background: props.style.background.value ? props.style.background.value : null,
        width: styleC && styleC.width ? styleC.width : defalutWidth,
        ...styleC
    } : {
        background: props.style.background.value ? props.style.background.value : null,
        width: styleC && styleC.width ? styleC.width : defalutWidth,
    }
    // console.log('SSSSprops.data.placeholder', props)
    const sType = props.style.type ? props.style.type.value : 'normal'
    let options = props.data.group.value ? props.data.group.data : (props.data.localMap&&props.data.localMap.value ? props.data.localMap.data : null)
    //console.log(props.data.getDataType, 'props.data.getDataTypeprops.data.getDataType')
    const getDataType = props.data.getDataType && props.data.getDataType.value ? props.data.getDataType.value : 'dict'
    if (sType === 'normal' && getDataType === "async") {
        options = props.optionValue && props.optionValue.length !== 0 ? props.optionValue : options
    }
    if (sType !== 'normal' && getDataType === "async") {

    }
    //const options = props.data.group.value ? JSON.parse(props.data.group.value) : null

    const labelRender = () => props.data.label.value ? <div className={style.labelClass}>{props.data.label.value}</div> : null
    const editRender = () => {
        return props.edit ? <div className={style.addElement}>请添加按钮组属性</div> : null
    }
    const modeRender = () => {
        // console.log(options, '========', props.optionValue)
        return options && options.length !== 0 && options.map(item => (
            <Option value={item.key} key={item.key}>{item.label}</Option>
        ))
    }
    if (!options || options && options.length === 0) {
        return <div className={style.radioContent}>{editRender()}</div>
    }
    console.log(props.data.placeholder, 'props.data.placeholder', props.data)
    let valueObject = {}
    if (props.value || props.data.default.value) {
        valueObject = { defaultValue: props.value && typeof props.value === 'string' ? props.value : props.data.default.value }
    } else {
        valueObject = { placeholder: props.data.placeholder && props.data.placeholder.value ? props.data.placeholder.value : '' }
    }
    if (sType !== 'normal' && getDataType !== "async") {
        valueObject.showSearch = true
        valueObject.filterOption = (input, option) => (
            option.children.toLowerCase().indexOf(input.toLowerCase()) !== -1
        )
    }

    return <div className={`${style.radioContent} ${!formChilde ? '' : style.fromDatePicker}`}>
        {labelRender()}
        {formChilde ? <div className={style.picker}>
            <Select
                {...valueObject}
                size={!props.style.size.value ? 'middle' : props.style.size.value}
                style={sytleOption}
                onChange={(e) => {
                    props.dispatchEvent('onChange', { props, value: e })
                }}>
                {modeRender()}
            </Select>
        </div> : <Select
            {...valueObject}
            size={!props.style.size.value ? 'middle' : props.style.size.value}
            style={sytleOption}
            onChange={(e) => {
                props.dispatchEvent('onChange', { props, value: e })
            }}>
            {modeRender()}
        </Select>}

    </div>
};

