
import React,{useEffect} from 'react';
import style from './index.module.less';
import { Switch } from 'mayihr-components'
 // import { Space } from 'antd';


export default (props) => {
    useEffect(() => {
        if (props.data.default.value && !props.value && props.parent.lastIndexOf('#/Search_') !== -1) {
            props.dispatchEvent('onChange', { props, value: props.data.default.value })
        }
    }, [])
    let styleC = {}
    try {
        styleC = props.style.style.value ? { ...JSON.parse(props.style.style.value) } : {}
    } catch (error) {

    }
    let formChilde = props.parent.lastIndexOf('#/Form_') !== -1 ? true : false
    const sytleOption = styleC ? {
        background: props.style.background.value ? props.style.background.value : null,
        ...styleC
    } : {
        background: props.style.background.value ? props.style.background.value : null,
    }
    const labelRender = () => props.data.label.value ? <div className={style.labelClass}>{props.data.label.value}</div> : null
    return <div className={`${style.switchContent} ${!formChilde ? '' : style.fromDatePicker}`} style={sytleOption}>
        {labelRender()}
        <Switch
            defaultChecked={props.value ? props.value : props.data.default.value}
            size={!props.style.size.value ? 'middle' : props.style.size.value}
            onChange={(e) => {
                props.dispatchEvent('onChange', { props, value: e })
            }}>
        </Switch>
    </div>
};

