import axios from '../../Util/RequestApi';
export default class BrowseApi {
    // 留言
    // tslint:disable-next-line: no-any
    static login(arg0) {
        return axios.post(`/services/uaa/api/oauth/password-noCaptcha`, arg0);
    }
    static getRSA() {
        return axios.get(`/services/uaa/api/oauth/getPublicKey`);
    }
    static getTen() {
        return axios.get(`/services/uaa/api/users/current/tenant`);
    }
    static getRole(code) {
        return axios.get(`/services/uaa/api/users/current/roles?tenantCode=${code}`);
    }
    static getTenantsList() {
        return axios.get(`/services/uaa/api/users/current/tenants`);
    }
    static Test() {
        return axios.get(`/services/hmc/api/metadata/test`);
    }
    static getsWidgetsCode(code) {
        return axios.get(`/services/lcdp/api/public/widgets/${code}`);
    }
    static getsWidgets(arg0) {
        return axios.get(`/services/lcdp/api/public/widgets/`, arg0);
    }
    static getsInteface(arg0) {
        return axios.get(`/services/lcdp/api/public/operationzs/batch-detail`, arg0);
    }
    static getDictInfo(arg0) {
        return axios.post(`/services/infradist3/api/dict-items/batch`, arg0);
    }
}