// 接口配置
// 需要幂等的接口
const idempotent = [];
const dictBackend = { "sdd": [{ key: "ON_GOING", label: "进行中" }, { key: "COMPLETED", label: "完成" }, { key: "CANCELED", label: "取消" }] }
//  [{ key: 'hire', label: '入职任务列表' }, { key: 'probation', label: '转正任务列表' }]
const interfaceBackEnd = {
  "hire": { url: "https://paas.mayitest.cn/services/roster/api/hire-tasks", method: 'get', initData: { page: 0, size: 10 } },
  "probation": { url: "https://paas.mayitest.cn/services/hmc/api/probation-task", method: 'get' },
  "hireEdit": { url: "https://paas.mayitest.cn/services/roster/api/hmc/rosters/${rosterCode}/hire-tasks/${code}", method: 'put' },
  "hireDelete": { url: "https://paas.mayitest.cn/services/roster/api/hmc/rosters/hire-tasks/${code}/cancel", method: 'delete' },
  "hireDes": { url: "https://paas.mayitest.cn/services/roster/api/hire-tasks/${code}", method: 'get' }
}
export {
  idempotent, dictBackend, interfaceBackEnd
};