// import Config from '../config/Config';

/**
 * 缓存，该项目需要用缓存的地方必须要用这个类，这里会校验缓存版本
 */
class Storage {
  constructor(config) {
    this.Config = config
    this.checkVersion();
  }
  setStore = (key, content) => {
    const relKey = this.Config.activeConfig.appCode + '_' + process.env.REACT_APP_STAGE + '_' + key;
    localStorage.setItem(relKey, content);
  };
  getRealStore = (key) => {
    const relKey = this.Config.activeConfig.appCode + '_' + process.env.REACT_APP_STAGE + '_' + key;
    return localStorage.getItem(relKey);
  };
  getStore = (key) => {
    const relKey = this.Config.activeConfig.appCode + '_' + process.env.REACT_APP_STAGE + '_' + key;
    //if (localStorage.getItem(key)) {
    return localStorage.getItem(relKey) || '{}';
    // }
  };
  delStore = (key) => {
    const relKey = this.Config.activeConfig.appCode + '_' + process.env.REACT_APP_STAGE + '_' + key;
    localStorage.removeItem(relKey);
  };
  delRealStore = (key) => {
    //const relKey = Config.activeConfig.appCode + '_' + process.env.REACT_APP_STAGE + '_' + key;
    localStorage.removeItem(key);
  };
  clearStore = () => localStorage.clear;

  /**
   * 检查缓存版本
   */
  checkVersion = () => {

  };
}
export default Storage;
